PETSc version 3.15.5
Fix/Edit manual page

# DMSwarmDestroyLocalVectorFromField

Destroys the Vec object which share the array associated with a given field

### Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmDestroyLocalVectorFromField(DM dm,const char fieldname[],Vec *vec)

Collective on dm

### Input parameters

| dm | - a DMSwarm
| fieldname | - the textual name given to a registered field

### Output parameter

| vec | - the vector

### See Also

DMSwarmRegisterPetscDatatypeField(), DMSwarmCreateLocalVectorFromField()

### Level

beginner

### Location

src/dm/impls/swarm/swarm.c
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages